{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Facturación{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
<li class="breadcrumb-item"><a href="{% url 'provider-list' %}"></a>Proveedores</a></li>
<li class="breadcrumb-item active">Facturación</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Facturación <small>Manual</small></h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
	<!-- begin col-12 -->
	<div class="col-xl-12 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Facturación</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">

      <div class="col-md-6">
	<p>Suba el archivo Excel con la información de facturación.</p>
	<p>Recuerde que las columnas válidas son (en este orden):
        <strong>'ITEM', 'EMITIDO', 'DOCUMENTO', 'FOLIO', 'FECHA DOCUMENTO', 'FECHA RECEPCION SII', 'FECHA ACUSE', 'FORMA DE PAGO', 'TIPO DE COMPRA', 'TIPO DE INGRESO', 'RUT', 'RAZON SOCIAL', 'DIRECCION PROVEEDOR', 'SUCURSAL PROVEEDOR', 'DESCUENTO', 'IMPUESTO ESPECIFICO', 'IMPUESTOS', 'EXENTO', 'NETO', 'IVA', 'TASA IVA', 'IVA USO COMUN', 'IVA NO RECUPERABLE', 'IVA NO RETENIDO', 'IVA RETENIDO', 'TOTAL', 'OBSERVACION', 'MONTO ACTIVO FIJO', 'PAGADO', 'ENVIADOLIBRO', 'SUCURSAL', 'USUARIO', 'FECHA DE CREACION', 'NRO DOCUMENTO ANULADO', 'TIPO DOCUMENTO ANULADO', 'DECLARACION ACUSE MERCADERIA', 'EMISOR ACUSE', 'FECHA DE ACUSE', 'FECHA DE INGRESO AL LIBRO', 'FECHA DE ELIMINACION DEL LIBRO', 'USUARIO ELIMINACION'
        
        </strong>.</p>

	<form class="form-horizontal" method="post" enctype="multipart/form-data">
	  {% csrf_token %}

	  {% for field in form %}
	  {%ifequal field.label "Operador" %}
	  <div class="form-group">
	    <label for="id_operator" class="col-sm-3 control-label">Operador</label>
	    <div class="col-sm-9">
	      <select name="operator" class="form-control"  required id="id_operator">
			{%if if_todos %}
			{%for b in operadores %}
			<option value="{{b.id}}">{{b.name}}</option>
			{%endfor%}
			{% else%}
			{%for b in operadores %}
			<option value="{{current_operator}}">{{current_operator_name}}</option>
			{%endfor%}
			{%endif%}
			</select>
		</div>
	  </div>
	  {%else%}
	  <div class="form-group">
	    <label for="{{ field.auto_id }}" class="col-sm-3 control-label">{{ field.label }}</label>
	    <div class="col-sm-9">
	      {% render_field field class="form-control" %}

	      {% for error in field.errors %}
	      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
	      {% endfor %}
	    </div>
	  </div>
	  {%endifequal%}
	  {% endfor %}

	  <input type="submit" value="Subir" class="btn btn-primary" id="upload-button">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>

	<div tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="upload-modal" class="modal fade bs-example-modal-sm" style="display: none;">
          <div role="document" class="modal-dialog modal-sm">
            <div class="modal-content">
              <div class="modal-header">
                <h4 id="myLargeModalLabel" class="modal-title">Carga en progreso</h4>
              </div>
              <div class="modal-body">
                <p>El proceso de carga de documentos puede tardar unos minutos. Por favor, espere.</p>
		<div class="loading-demo">
		  <div class="loader-inner pacman">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
		  </div>
		</div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>

      </div>

      <div class="col-md-6">
	{% if processed_count %}
	<h4>Resultados de la carga</h4>

	<p><strong>{{ processed_count }}</strong> registros procesados.</p>
	<p><strong>{{ created_count }}</strong> documentos creados.</p>

	<table class="table">
	  <tbody>
	    <tr>
	      <td>Registros válidos</td>
	      <td><strong>{{ valid_count }}</strong></td>
	      <td><a href="?file=valid" class="btn btn-success" download>Descargar</a></td>
	    </tr>
	    <tr>
	      <td>Registros inválidos</td>
	      <td><strong>{{ invalid_count }}</strong></td>
	      <td><a href="?file=invalid" class="btn btn-danger" download>Descargar</a></td>
	    </tr>
	    <tr>
	      <td>Clientes no encontrados</td>
	      <td><strong>{{ not_found_count }}</strong></td>
	      <td><a href="?file=not_found" class="btn btn-warning" download>Descargar</a></td>
	    </tr>
	    <tr>
	      <td>RUTs pagadores duplicados</td>
	      <td><strong>{{ multiple_services_count }}</strong></td>
	      <td><a href="?file=multiple_services" class="btn btn-default" download>Descargar</a></td>
	    </tr>
	  </tbody>
	</table>
	{% endif %}
      <!-- end panel-body -->
				</div>
				<!-- end panel -->
			</div>
		</div>
		<!-- end column -->
	</div>
	<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
//active menu
document.getElementById("finances_menu").classList.add("active");
  //active submenu item
    //active menu
    document.getElementById("providers_menu").classList.add("active");
    //active submenu item
    document.getElementById("providers_manualbilling").classList.add("active");
</script>

<script type="text/javascript" src="{% static 'theme/plugins/jquery.easy-pie-chart/dist/jquery.easypiechart.min.js' %}"></script>
<script>
  $("#upload-button").click(function(e){
		if ($('#id_excel_file').val() != '' && $('#id_operator').val()){
			$("#upload-modal").modal();

		}
  })

  $("#esp-billing").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
  $("#esp-billing-no").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
</script>
{% endblock %}
